<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:util="http://www.springframework.org/schema/util"
  xmlns:context="http://www.springframework.org/schema/context"
  xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
    http://www.springframework.org/schema/util
    http://www.springframework.org/schema/util/spring-util-2.5.xsd
    http://www.springframework.org/schema/context
    http://www.springframework.org/schema/context/spring-context-2.5.xsd">

  <context:annotation-config/>

  <context:component-scan base-package="org.unitedfront2.web.controller"/>

  <bean class="org.springframework.beans.factory.config.PropertyPlaceholderConfigurer">
    <property name="location" value="file:/etc/unitedfront2/localConfiguration.properties"/>
  </bean>

  <bean id="indexAction" class="org.unitedfront2.web.controller.IndexAction">
    <property name="adminBlogCode" value="${adminBlog.code}"/>
  </bean>

  <bean id="registrationAction" class="org.unitedfront2.web.controller.RegistrationAction">
    <property name="installers">
      <list>
        <ref bean="communication.profileTable"/>
        <ref bean="emailForwardingTable"/>
        <ref bean="widgetTable"/>
      </list>
    </property>
  </bean>

  <bean id="rssController" class="org.unitedfront2.web.controller.RssController">
    <property name="adminBlogCode" value="${adminBlog.code}"/>
  </bean>

  <bean id="error.badRequestAction" class="org.unitedfront2.web.controller.error.SetStatusCodeAction">
    <property name="status" value="400"/>
  </bean>

  <bean id="error.accessDeniedAction" class="org.unitedfront2.web.controller.error.SetStatusCodeAction">
    <property name="status" value="403"/>
  </bean>

  <bean id="error.notFoundAction" class="org.unitedfront2.web.controller.error.SetStatusCodeAction">
    <property name="status" value="404"/>
  </bean>

  <bean id="formActionConfig" class="java.util.Properties">
    <constructor-arg>
      <props>
        <prop key="mail.sendMail">${mailSender.enable}</prop>
        <prop key="mail.systemMailAddr">${systemMailAddr}</prop>
        <prop key="mail.systemUrl">${systemUrl}</prop>
        <prop key="mail.subjectPrefix">${mailSender.subjectPrefix}</prop>
        <prop key="mail.signature">${mailSender.signature}</prop>
      </props>
    </constructor-arg>
  </bean>

</beans>
